Subject: less, TERM and TERMINFO
From: [email-masked] (Mansuriatus Shahrir Amir)

11 Dec 1996 03:46:32 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked]
Original-Sender: [email-masked]

I managed to compile these apps using Beta 17 on Win95 to get man
working.

i) Change the name of /usr/include/g++/String.h to say _String.h
   Somehow or rather due to no-case sensitivity of NTFS, VFAT gcc
   was confused in using the Ansi C++ string header files when in
   fact should be using Ansi C string functions.
   This hack corrects all my earlier postings of having not owner
   error as well as compile time errors.
   Thanks to Sergey Okhapkin.

ii) I use sed and a little bash script to traverse all the files
    in /usr/src changing all occurences of /dev/null to /dev/nul

iii) groff-1.10.tar.gz compiles without error out of the box 
     w/o any changings. Appears to be fine. To counter the make
     install difficulty, I copied all the *.exe to /usr/local/bin
     or whatever the {prefix}/bin in makefile is. Renaming all the
     *.exe to *. then only do a make install.

iv)  ncurses-1.9.9e also compiles out of the box. However make install
     fails when trying to install terminfo databases. I'll get back
     to this later.

v)   man-1.4 and less-290 also compiles fine.Except in one file in less-290
     i.e output.c I need to change the name of a static function iprintf to
     something else. gcc complains it conflicts with defs in gcc include files.

Now my problem is 'less' ALWAYS complains that it cannot scroll backwards.
Hence I cannot goes backward when viewing man pages. I have TERM=ansisys
in my ~/.bashrc. I've tried TERM=ansi and TERM=dumb but no avail.

I never understand what the termcap defs are and the terminfo databbse 
purposes. Hence if someone familiar please enlightened me or those that 
have less working fine please help. I tried to say TERM=linux as my RedHat
box but groff will dump core saying 'perhaps stack corrupted'. I know 
this is  a long short.

Any offers guys. TIA
-------------------------
Mansuriatus Shahrir Amir
[email-masked] 

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".